View Issue Details

IDProjectCategoryView StatusLast Update
0001752SOGoWeb Calendarpublic2012-04-21 07:07
ReporterStefan Klatt Assigned Tofrancis  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.14 
Fixed in Version1.3.15 
Summary0001752: Bad display of repeating appointments
Description

The last two nightly buildings the web interface shows appointments that repeats every second weekend one time with a temporal distance of three weeks :-(
Thunderbird and CalDAV-Sync beta on Android 2.3.2 shows it correct...
Additionally I can only change the properties of the repeating appointment, not of only one appointment of the series.
I send two screenshots to show the problems.

TagsNo tags attached.

Activities

2012-03-31 15:38

 

120330 SOGo Bug.PNG (148,209 bytes)   
120330 SOGo Bug.PNG (148,209 bytes)   

2012-03-31 15:39

 

120330 SOGo Bug Bad Gateway.PNG (72,208 bytes)   
120330 SOGo Bug Bad Gateway.PNG (72,208 bytes)   
Stefan Klatt

Stefan Klatt

2012-03-31 15:42

reporter   ~0003681

It's the appointment "Lara" :-)
And after the temporal distance of three weeks, it shows it again with a temporal distance of two weeks.... it seems they are two different series, but there are really one series!

Stefan Klatt

Stefan Klatt

2012-04-06 12:50

reporter   ~0003690

Last edited: 2012-04-06 12:53

I took now a closer look on my calender... (appointment Lara)

Februar OK
March One time three weeks between the appointments :-(
April Two weeks between the appointments, but one week to late
May One time three weeks between the appointments :-(
June OK

This happens only at the web frontend, Thunderbird and CalDav client are ok.
Left picture is the web frontend, right Thunderbird.

2012-04-06 12:50

 

120406 Sogo Web Februar.PNG (117,956 bytes)   
120406 Sogo Web Februar.PNG (117,956 bytes)   

2012-04-06 12:51

 

120406 Sogo Web March.PNG (117,218 bytes)   
120406 Sogo Web March.PNG (117,218 bytes)   

2012-04-06 12:51

 

120406 Sogo Web April.PNG (129,594 bytes)   
120406 Sogo Web April.PNG (129,594 bytes)   

2012-04-06 12:52

 

120406 Sogo Web May.PNG (118,808 bytes)   
120406 Sogo Web May.PNG (118,808 bytes)   

2012-04-06 12:52

 

120406 Sogo Web June.PNG (120,952 bytes)   
120406 Sogo Web June.PNG (120,952 bytes)   
francis

francis

2012-04-06 15:06

administrator   ~0003691

Could you attach the vCal to this ticket?

What is your selected timezone?

Stefan Klatt

Stefan Klatt

2012-04-06 15:31

reporter   ~0003692

Last edited: 2012-04-06 15:37

On which way I should export the vCal?

SOGo shows UTC for this appointment

2012-04-06 16:47

 

Christian Mack

Christian Mack

2012-04-10 08:28

developer   ~0003702

Just export the calendar with this appointment.
Select the calendar in the list "Calendars", right click on it and choose "Export calendar ...". Save the result as an ics file.
Then open the file you get from this in a text editor of your choice.
Remove all events which don't have subject "Lara" ;-).

Hint:

  • Events start with a line
    BEGIN:VEVENT
    and end with the next line containing
    END:VEVENT
  • The subject is set in a line starting with
    SUMMARY:
    between start and end of the event.
francis

francis

2012-04-10 11:49

administrator   ~0003709

I need to know the timezone you selected in the Web interface, from the Preferences window.

2012-04-10 12:37

 

personal lara.ics (3,074 bytes)   
BEGIN:VCALENDAR
METHOD:PUBLISH
VERSION:2.0
PRODID:-//Inverse inc./SOGo 2.0.0//EN
BEGIN:VTIMEZONE
TZID:Europe/Amsterdam
X-LIC-LOCATION:Europe/Amsterdam
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:Europe/Berlin
X-LIC-LOCATION:Europe/Berlin
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=3
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=10
END:STANDARD
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:/inverse.ca/20101018_1/Europe/Berlin
X-LIC-LOCATION:Europe/Berlin
BEGIN:DAYLIGHT
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
TZNAME:CEST
DTSTART:19700329T020000
RRULE:BYDAY=-1SU;BYMONTH=3;FREQ=YEARLY
END:DAYLIGHT
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
TZNAME:CET
DTSTART:19701025T030000
RRULE:BYDAY=-1SU;BYMONTH=10;FREQ=YEARLY
END:STANDARD
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:W. Europe Standard Time
BEGIN:STANDARD
DTSTART:16010101T030000
TZOFFSETFROM:+0200
TZOFFSETTO:+0100
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=10
END:STANDARD
BEGIN:DAYLIGHT
DTSTART:16010101T020000
TZOFFSETFROM:+0100
TZOFFSETTO:+0200
RRULE:BYDAY=-1SU;FREQ=YEARLY;BYMONTH=3
END:DAYLIGHT
END:VTIMEZONE
BEGIN:VTIMEZONE
TZID:Africa/Harare
X-LIC-LOCATION:Africa/Harare
BEGIN:STANDARD
TZOFFSETFROM:+0200
TZOFFSETTO:+0200
TZNAME:CAT
DTSTART:19700101T000000
END:STANDARD
END:VTIMEZONE

BEGIN:VEVENT
CREATED:20111007T205721Z
LAST-MODIFIED:20111112T134803Z
DTSTAMP:20111112T134803Z
UID:543d99ff-f372-41b4-b04f-5564dfb75144
SUMMARY:Lara
STATUS:TENTATIVE
X-MOZ-LASTACK:20111112T134803Z
DTSTART;TZID=Africa/Harare:20111008T180000
DTEND;TZID=Africa/Harare:20111008T235500
TRANSP:OPAQUE
SEQUENCE:0
X-MOZ-GENERATION:1
BEGIN:VALARM
ACTION:DISPLAY
TRIGGER;VALUE=DURATION:-PT30M
DESCRIPTION:Default Event Notification
END:VALARM
END:VEVENT

BEGIN:VEVENT
CREATED:20110519T225734Z
LAST-MODIFIED:20120330T215139Z
DTSTAMP:20120101T195703Z
UID:21DE-4DD5A000-19-3C6C8000
SUMMARY:Lara
STATUS:CONFIRMED
DTSTART:20110520T160000Z
DTEND:20110522T160000Z
SEQUENCE:3
X-MOZ-GENERATION:3
TRANSP:OPAQUE
RRULE:INTERVAL=2;BYDAY=FR;FREQ=WEEKLY
EXDATE:20111021T160000Z
EXDATE:20111230T160000Z
END:VEVENT

BEGIN:VEVENT
CREATED:20111013T183152Z
LAST-MODIFIED:20111007T205719Z
UID:21DE-4DD5A000-19-3C6C8000
SUMMARY:Lara
STATUS:CANCELLED
RECURRENCE-ID:20111007T160000Z
DTSTART;TZID=Europe/Berlin:20111007T180000
DTEND;TZID=Europe/Berlin:20111009T180000
TRANSP:OPAQUE
END:VEVENT
BEGIN:VEVENT
LAST-MODIFIED:20111218T032409Z
UID:21DE-4DD5A000-19-3C6C8000
SUMMARY:Lara
RECURRENCE-ID:20111216T160000Z
DTSTART:20111216T160000Z
DTEND:20111218T100000Z
TRANSP:OPAQUE
END:VEVENT

END:VCALENDAR
personal lara.ics (3,074 bytes)   
Stefan Klatt

Stefan Klatt

2012-04-10 12:40

reporter   ~0003711

I uploaded the generated filtered file.
I can send you the complete file, but only as email attachment.

By the way... what about a "normalizer" for calendars? I found a lot of appointments with arbitrary timezones.

Stefan Klatt

Stefan Klatt

2012-04-10 12:41

reporter   ~0003712

It happens with actual nightly buildings too.

francis

francis

2012-04-11 13:58

administrator   ~0003719

Fixed in revision 8084a82ca1ab7dad7f78c35f529f9e3db7d02314.

Stefan Klatt

Stefan Klatt

2012-04-12 03:58

reporter   ~0003721

The actual build for CentOS 5 doesn't fix it.

sogo.x86_64 2.0_20120411-1.el5
sogo-tool.x86_64 2.0_20120411-1.el5
sope49-appserver.x86_64 4.9-20120403_1664.el5.1
sope49-cards.x86_64 2.0_20120411-1.el5
sope49-core.x86_64 4.9-20120403_1664.el5.1
sope49-gdl1.x86_64 4.9-20120403_1664.el5.1
sope49-gdl1-contentstore.x86_64 2.0_20120411-1.el5
sope49-gdl1-postgresql.x86_64 4.9-20120403_1664.el5.1
sope49-ldap.x86_64 4.9-20120403_1664.el5.1
sope49-mime.x86_64 4.9-20120403_1664.el5.1
sope49-sbjson.x86_64 2.3.1-20120403_1664.el5.1
sope49-xml.x86_64 4.9-20120403_1664.el5.1

Stefan Klatt

Stefan Klatt

2012-04-15 16:34

reporter   ~0003740

The actual build doesn't show the repeated event "Lara" :-(
Thunderbird and my CALDav Client show it!

francis

francis

2012-04-19 10:32

administrator   ~0003782

Try to update your SOPE packages.

Stefan Klatt

Stefan Klatt

2012-04-19 10:44

reporter   ~0003783

Last edited: 2012-04-19 12:23

I updated now:

sope49-appserver.x86_64 4.9-20120414_1664.el5.1
sope49-cards.x86_64 2.0_20120419-1.el5
sope49-core.x86_64 4.9-20120414_1664.el5.1
sope49-gdl1.x86_64 4.9-20120414_1664.el5.1
sope49-gdl1-contentstore.x86_64 2.0_20120419-1.el5
sope49-gdl1-postgresql.x86_64 4.9-20120414_1664.el5.1
sope49-ldap.x86_64 4.9-20120414_1664.el5.1
sope49-mime.x86_64 4.9-20120414_1664.el5.1
sope49-sbjson.x86_64 2.3.1-20120414_1664.el5.1
sope49-xml.x86_64 4.9-20120414_1664.el5.1
sogo.x86_64 2.0_20120419-1.el5
sogo-tool.x86_64 2.0_20120419-1.el5

No change, the appointment "Lara" is disappeared at the WEB front end.
Thunderbird and the CALDav clients show it.

francis

francis

2012-04-19 16:00

administrator   ~0003787

I just tried on sogo-demo (http://sogo-demo.inverse.ca) and I no longer have the problem. Can you confirm?

Stefan Klatt

Stefan Klatt

2012-04-19 17:31

reporter   ~0003790

No, I can't.
I updated a few minutes before to the last build:

sogo.x86_64 2.0_20120419-1.el5
sogo-tool.x86_64 2.0_20120419-1.el5
sope49-appserver.x86_64 4.9-20120419_1664.el5.1
sope49-cards.x86_64 2.0_20120419-1.el5
sope49-core.x86_64 4.9-20120419_1664.el5.1
sope49-gdl1.x86_64 4.9-20120419_1664.el5.1
sope49-gdl1-contentstore.x86_64 2.0_20120419-1.el5
sope49-gdl1-postgresql.x86_64 4.9-20120419_1664.el5.1
sope49-ldap.x86_64 4.9-20120419_1664.el5.1
sope49-mime.x86_64 4.9-20120419_1664.el5.1
sope49-sbjson.x86_64 2.3.1-20120419_1664.el5.1
sope49-xml.x86_64 4.9-20120419_1664.el5.1

No change, the appointment "Lara" disappeared on the web interface and is viewable on my thunderbird and on my CalDAV android client.

Stefan Klatt

Stefan Klatt

2012-04-20 18:44

reporter   ~0003799

The newest nightly update fix it!
The appointment "Lara" is now displayed correct.

sogo.x86_64 2.0_20120420-1.el5
sogo-tool.x86_64 2.0_20120420-1.el5
sope49-appserver.x86_64 4.9-20120419_1664.el5.1
sope49-cards.x86_64 2.0_20120420-1.el5
sope49-core.x86_64 4.9-20120419_1664.el5.1
sope49-gdl1.x86_64 4.9-20120419_1664.el5.1
sope49-gdl1-contentstore.x86_64 2.0_20120420-1.el5
sope49-gdl1-postgresql.x86_64 4.9-20120419_1664.el5.1
sope49-ldap.x86_64 4.9-20120419_1664.el5.1
sope49-mime.x86_64 4.9-20120419_1664.el5.1
sope49-sbjson.x86_64 2.3.1-20120419_1664.el5.1
sope49-xml.x86_64 4.9-20120419_1664.el5.1

Issue History

Date Modified Username Field Change
2012-03-31 15:38 Stefan Klatt New Issue
2012-03-31 15:38 Stefan Klatt File Added: 120330 SOGo Bug.PNG
2012-03-31 15:39 Stefan Klatt File Added: 120330 SOGo Bug Bad Gateway.PNG
2012-03-31 15:42 Stefan Klatt Note Added: 0003681
2012-04-06 12:50 Stefan Klatt Note Added: 0003690
2012-04-06 12:50 Stefan Klatt File Added: 120406 Sogo Web Februar.PNG
2012-04-06 12:51 Stefan Klatt File Added: 120406 Sogo Web March.PNG
2012-04-06 12:51 Stefan Klatt File Added: 120406 Sogo Web April.PNG
2012-04-06 12:52 Stefan Klatt File Added: 120406 Sogo Web May.PNG
2012-04-06 12:52 Stefan Klatt File Added: 120406 Sogo Web June.PNG
2012-04-06 12:53 Stefan Klatt Note Edited: 0003690
2012-04-06 12:53 Stefan Klatt Note Edited: 0003690
2012-04-06 15:06 francis Note Added: 0003691
2012-04-06 15:31 Stefan Klatt Note Added: 0003692
2012-04-06 15:37 Stefan Klatt Note Edited: 0003692
2012-04-06 16:47 Stefan Klatt File Added: 120406 Sogo Web appointment Lara.PNG
2012-04-10 08:28 Christian Mack Note Added: 0003702
2012-04-10 11:49 francis Note Added: 0003709
2012-04-10 12:37 Stefan Klatt File Added: personal lara.ics
2012-04-10 12:40 Stefan Klatt Note Added: 0003711
2012-04-10 12:41 Stefan Klatt Note Added: 0003712
2012-04-11 13:58 francis Note Added: 0003719
2012-04-11 13:58 francis Status new => resolved
2012-04-11 13:58 francis Fixed in Version => 1.3.15
2012-04-11 13:58 francis Resolution open => fixed
2012-04-11 13:58 francis Assigned To => francis
2012-04-12 03:58 Stefan Klatt Note Added: 0003721
2012-04-12 03:58 Stefan Klatt Status resolved => feedback
2012-04-12 03:58 Stefan Klatt Resolution fixed => reopened
2012-04-15 16:34 Stefan Klatt Note Added: 0003740
2012-04-19 10:32 francis Note Added: 0003782
2012-04-19 10:44 Stefan Klatt Note Added: 0003783
2012-04-19 12:20 Stefan Klatt Note Edited: 0003783
2012-04-19 12:23 Stefan Klatt Note Edited: 0003783
2012-04-19 16:00 francis Note Added: 0003787
2012-04-19 17:31 Stefan Klatt Note Added: 0003790
2012-04-20 18:44 Stefan Klatt Note Added: 0003799
2012-04-21 07:07 ludovic Status feedback => resolved
2012-04-21 07:07 ludovic Resolution reopened => fixed
2012-04-21 07:07 ludovic Status resolved => closed